Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations

CreateOvnControllerOffering

CreateOvnControllerOffering

POST/zstack/v1/instance-offerings/ovn

Operation ID

CreateOvnControllerOffering

Since

5.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • theparamsstructure
    ObjectRequired

    theparamsstructure request body object.

    • zoneUuid
      StringRequired

      The zone UUID.

    • managementNetworkUuid
      StringRequired

      The management network UUID.

    • imageUuid
      StringRequired

      The image UUID.

    • name
      StringRequired

      The offering name.

    • description
      String

      Optional. The detailed description of the resource.

    • cpuNum
      intRequired

      The CPU number.

    • memorySize
      longRequired

      The memory size in Byte.

    • reservedMemorySize
      long

      Optional.

    • allocatorStrategy
      String

      Optional. The allocation strategy.

    • sortKey
      int

      Optional.

    • type
      String

      Optional.

    • resourceUuid
      String

      Optional. The resource UUID.

    • tagUuids
      List

      Optional. The tag UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    BooleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    InstanceOfferingInventoryRequired

    Seeinventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • cpuNum
      IntegerRequired

      The CPU number.

    • cpuSpeed
      IntegerRequired

      The CPU speed.

    • memorySize
      LongRequired

      The memory size.

    • type
      StringRequired

      The type.

    • allocatorStrategy
      StringRequired

      The allocation strategy.

    • sortKey
      IntegerRequired

      The sort key.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      StringRequired

      The state.

  • Change Time

    AddedRequest body fields theparamsstructure
    View API